MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000063Kali Linux[All Projects] General Bugpublic2013-03-13 15:382013-03-15 12:02
Reporterjajordan 
Assigned Torhertzog 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformintel i7 2600K amd graphicsOSUbuntuOS Version12.04
Product Version 
Target VersionFixed in Version 
Summary0000063: No Keyboard or Mouse after Main menu no matter what option is picked
DescriptionWhen I try to install Kali from either USB or CD/DVD my mouse and keyboard are disabled in the install screen and I am unable to move further in the installation process. I have google and tried everything under the sun. Works fine in the Main menu where you pick whether to go into live environment or install but as soon as I choose ANY option I lose my mouse and keyboard. Is a regular USB keyboard and mouse should also note that I have switched out and tried 3 different pairs with no luck. At a loss please help!
TagsNo tags attached.
Attached Filespng file icon Xorg_log_Kali1.png [^] (30,551 bytes) 2013-03-14 15:35


png file icon Xorg_log_Kali2.png [^] (30,737 bytes) 2013-03-14 15:36


png file icon Xorg_log_Kali3.png [^] (32,000 bytes) 2013-03-14 15:36

- Relationships

-  Notes
(0000077)
cawaker (reporter)
2013-03-13 16:00

i'm also having this issue on mac mini 2006, using USB drive for install.
Live option works great, but graphical installer and text installer, usb keyboard and mouse do not respond.
(0000078)
comaX (reporter)
2013-03-13 16:59

Same problem here. I'm using amd64 iso. I tried different ways of booting on USB : Unetbootin and W32 Imager from Windows, dd from linux (BT5R3 and Ubuntu 12.04).
I'm positive the USB stick is not faulty.
Mouse and Keyboards are standard HP.
Live option works great.

Since keyboard/mouse are irresponsive, I can't say for sure they really are or if the system is just stuck.
(0000079)
thewooster (reporter)
2013-03-13 17:34

I am also having this issue. The live-x64 drive works great, but as soon as I try to do either graphical or text install, it freezes up. I also tried creating a disk from windows, then tried again from Arch Linux. I tried unplugging all peripherals except monitor and keyboard with no luck.

Hardware (nothing special):
Core-I5 3570K
Asrock z77 Extreme4
8GB Corsair Vengenace
Corsair Mouse/Saitek II keyboard
(0000083)
darklord8880 (reporter)
2013-03-14 07:25

i m having the same issue...mouse and keyb.. not working and can't boot to install kali. any help plz?
(0000084)
cyberkryption (reporter)
2013-03-14 09:53
edited on: 2013-03-14 09:54

I too have found the same issue.
Once you have selected the choice of install either graphic or text, the keyboard no longer functions.

It looks like initramfs has not usb support in it.I found this out by looking at http://wiki.debian.org/Keyboard#How_to_enable_USB_keyboard_in_initramfs [^]

I boot the dvd in live mode and the keyboard and usb work fine and check for the presence of the files needed from the above link, they are not present

I am not sure there is a solution to this without rebuilding initramfs, it might be possible to mount the iso file as a loop device, then chroot into the filesystem and rebuild initramfs.

I also found that usb keyboards dont work in kernel 3.5 and above as the usbhid module has been renamed see https://lists.debian.org/debian-kernel/2012/07/msg00598.html [^]

I hope this info helps you fix this asap

Cyberkryption

(0000085)
rhertzog (administrator)
2013-03-14 14:13

My best bet at this point is that we need to add the hid-generic kernel module to the initrd and thus we need to update the kernel udeb input-modules-3.7-trunk-amd64-di (and similar for i386) before regenerating the debian-installer images.

I will make some tries and see if I can reproduce the issue.
(0000089)
tourountzis (reporter)
2013-03-14 15:20

I have the Issue on my Laptop after choosing Graphical setup. My mouse does not work but the keyboard is fine. I can go through the setup with Tab. I am installing it on Virtualbox 4.2.8. After i switch to a console through Ctrl+F1 and get back to the graphical interface the mouse begun to react.
(0000090)
pavan532 (reporter)
2013-03-14 15:28

my keyboard working when i try to install from USB... but mouse not working
(0000098)
rhertzog (administrator)
2013-03-14 17:38

I confirm my diagnostic. I reproduced the issue and manually insmod-ing hid-generic.ko fixed the mouse for me. I'm going to upload a fixed kernel now.

Thanks to cyberkryption for the links he found, that gave me a good initial direction for investigation.
(0000100)
rhertzog (administrator)
2013-03-15 12:02

The fixed kernel has been uploaded, new debian-installer images have been generated. The only thing left is to publish the fixed ISO which should happen soon enough.

- Issue History
Date Modified Username Field Change
2013-03-13 15:38 jajordan New Issue
2013-03-13 16:00 cawaker Note Added: 0000077
2013-03-13 16:59 comaX Note Added: 0000078
2013-03-13 17:34 thewooster Note Added: 0000079
2013-03-14 07:25 darklord8880 Note Added: 0000083
2013-03-14 09:53 cyberkryption Note Added: 0000084
2013-03-14 09:54 cyberkryption Note Edited: 0000084 View Revisions
2013-03-14 14:13 rhertzog Note Added: 0000085
2013-03-14 15:20 tourountzis Note Added: 0000089
2013-03-14 15:28 pavan532 Note Added: 0000090
2013-03-14 15:35 tourountzis File Added: Xorg_log_Kali1.png
2013-03-14 15:36 tourountzis File Added: Xorg_log_Kali2.png
2013-03-14 15:36 tourountzis File Added: Xorg_log_Kali3.png
2013-03-14 17:38 rhertzog Note Added: 0000098
2013-03-14 17:40 rhertzog Assigned To => rhertzog
2013-03-14 17:40 rhertzog Status new => assigned
2013-03-15 12:02 rhertzog Note Added: 0000100
2013-03-15 12:02 rhertzog Status assigned => resolved
2013-03-15 12:02 rhertzog Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker